petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatHermitianTransposeGetMat

Gets the Mat object stored inside a MATTRANSPOSEMAT

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHermitianTransposeGetMat(Mat A,Mat *M)

Logically collective on Mat

### Input Parameter

A -the MATTRANSPOSE matrix

### Output Parameter

M -the matrix object stored inside A

### See Also

MatCreateHermitianTranspose()

### Level

intermediate

### Location

src/mat/impls/transpose/htransm.c

### Implementations

MatHermitianTransposeGetMat_HT in src/mat/impls/transpose/htransm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages